Bug 1485046 - Review Request: purple-mattermost - Pidgin protocol plugin to connect to Mattermost
Summary: Review Request: purple-mattermost - Pidgin protocol plugin to connect to Matt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-24 22:06 UTC by Ben Rosser
Modified: 2017-09-30 06:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 00:22:30 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ben Rosser 2017-08-24 22:06:11 UTC
Spec URL: https://tc01.fedorapeople.org/misc/mattermost/purple-mattermost.spec
SRPM URL: https://tc01.fedorapeople.org/misc/mattermost/purple-mattermost-1.1-3.20170805git4524538.fc26.src.rpm
Description: A third-party plugin for the Pidgin multi-protocol instant messenger.
It connects libpurple-based instant messaging clients with Mattermost server.

Fedora Account System Username: tc01

I am packaging a git snapshot because the git branch has support for gitlab oauth tokens and I wanted the feature. Once a stable release comes out with this feature included I'll switch to stable releases.

Comment 1 Robert-André Mauchin 2017-08-25 11:54:46 UTC
Hello,


 - Please use the following Source0:


#Source0:        https://github.com/EionRobb/purple-mattermost/archive/v%{version}/%{name}-%{version}.tar.gz
Source0:        https://github.com/EionRobb/purple-mattermost/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

 - The License: is actually GPLv3+, not GPLv3, see the preambule of https://github.com/EionRobb/purple-mattermost/blob/master/libmattermost.c


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 10 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/purple-mattermost/review-purple-
     mattermost/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pidgin-
     mattermost , purple-mattermost-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: purple-mattermost-1.1-3.20170805git4524538.fc28.x86_64.rpm
          pidgin-mattermost-1.1-3.20170805git4524538.fc28.noarch.rpm
          purple-mattermost-debuginfo-1.1-3.20170805git4524538.fc28.x86_64.rpm
          purple-mattermost-1.1-3.20170805git4524538.fc28.src.rpm
purple-mattermost.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
purple-mattermost.x86_64: W: spelling-error %description -l en_US libpurple -> lib purple, lib-purple, purple
purple-mattermost.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
purple-mattermost.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
pidgin-mattermost.noarch: W: spelling-error Summary(en_US) Libpurple -> Lib purple, Lib-purple, Purple
pidgin-mattermost.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
pidgin-mattermost.noarch: W: spelling-error %description -l en_US libpurple -> lib purple, lib-purple, purple
pidgin-mattermost.noarch: W: no-documentation
purple-mattermost.src: W: spelling-error %description -l en_US multi -> mulch, mufti
purple-mattermost.src: W: spelling-error %description -l en_US libpurple -> lib purple, lib-purple, purple
purple-mattermost.src:14: W: macro-in-comment %{version}
purple-mattermost.src:14: W: macro-in-comment %{name}
purple-mattermost.src:14: W: macro-in-comment %{version}
purple-mattermost.src:43: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 43)
4 packages and 0 specfiles checked; 0 errors, 14 warnings.

Comment 2 Ben Rosser 2017-08-28 20:17:52 UTC
Spec URL: https://tc01.fedorapeople.org/misc/mattermost/purple-mattermost.spec
SRPM URL: https://tc01.fedorapeople.org/misc/mattermost/purple-mattermost-1.1-4.20170805git4524538.fc26.src.rpm

- License is actually GPLv3+, not GPLv3, fix tag.
- Simplify github sourceurls.

Comment 3 Robert-André Mauchin 2017-08-29 07:13:17 UTC
This is all good, package accepted.

Comment 4 Gwyn Ciesla 2017-08-30 16:20:58 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/purple-mattermost

Comment 5 Fedora Update System 2017-09-01 20:43:36 UTC
purple-mattermost-1.1-4.20170805git4524538.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fa9df44c6

Comment 6 Fedora Update System 2017-09-01 20:44:14 UTC
purple-mattermost-1.1-4.20170805git4524538.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-830882c1f9

Comment 7 Fedora Update System 2017-09-01 20:45:45 UTC
purple-mattermost-1.1-4.20170805git4524538.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6275a251b

Comment 8 Fedora Update System 2017-09-01 20:54:04 UTC
purple-mattermost-1.1-4.20170805git4524538.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ef4b31d27a

Comment 9 Fedora Update System 2017-09-03 04:50:53 UTC
purple-mattermost-1.1-4.20170805git4524538.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ef4b31d27a

Comment 10 Fedora Update System 2017-09-03 05:24:23 UTC
purple-mattermost-1.1-4.20170805git4524538.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-830882c1f9

Comment 11 Fedora Update System 2017-09-03 06:25:47 UTC
purple-mattermost-1.1-4.20170805git4524538.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6275a251b

Comment 12 Fedora Update System 2017-09-03 19:54:45 UTC
purple-mattermost-1.1-4.20170805git4524538.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fa9df44c6

Comment 13 Fedora Update System 2017-09-12 00:22:30 UTC
purple-mattermost-1.1-4.20170805git4524538.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-09-12 10:52:41 UTC
purple-mattermost-1.1-4.20170805git4524538.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-09-19 21:20:22 UTC
purple-mattermost-1.1-4.20170805git4524538.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-09-30 06:12:50 UTC
purple-mattermost-1.1-4.20170805git4524538.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.